'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _crypto = require('crypto');

var _crypto2 = _interopRequireDefault(_crypto);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function fileHash(fp, absPath, options) {
  if (options.hash !== 1) {
    return fp;
  }
  const content = _fs2.default.readFileSync(absPath, 'utf8').trim();

  const hash = _crypto2.default.createHash('sha1').update(content, 'utf8').digest('hex').slice(0, 8);

  return `${fp}?${hash}`;
}

exports.default = fileHash;